#!/bin/sh
##
## packages.sh
## 
## Made by root
## Login   <root@focus10>
## 
## Started on  Thu Aug 28 13:21:52 2008 root
## Last update Thu Aug 28 13:21:52 2008 root
##
# [Ubuntu 13.10] To enable all ubuntu software (main universe restricted multiverse) repositories use
sudo add-apt-repository "deb http://archive.ubuntu.com/ubuntu $(lsb_release -sc) main universe restricted multiverse"  
# [Ubuntu 13.10] you can add also partner repository with different link (see difference is ubuntu to canonical)
sudo add-apt-repository "deb http://archive.canonical.com/ubuntu $(lsb_release -sc) partner"  
#
basedir=`pwd`
#
sudo apt-get update
#
#   NIS and NFS
#
sudo apt-get install -y nis
sudo apt-get install -y rpcbind
#sudo apt-get install -y portmap
#
#   LUBUNTU - uncomment if you want to install -y LUBUNTU
#
sudo apt-get install -y lubuntu-desktop
#
#   Utilities
#
sudo apt-get install -y libqt4-dbus
sudo apt-get install -y libqt4-network
sudo apt-get install -y libqt4-opengl
sudo apt-get install -y libqt4-xml
sudo apt-get install -y libqtcore4
sudo apt-get install -y libqtgui4
sudo apt-get install -y libaudio2
sudo apt-get install -y nedit
sudo apt-get install -y transfig
sudo apt-get install -y xfig
sudo apt-get install -y xfig-doc
sudo apt-get install -y xfig-libs
sudo apt-get install -y texlive
sudo apt-get install -y texlive-latex3
sudo apt-get install -y texlive-extra-utils
sudo apt-get install -y texlive-fonts-extra
sudo apt-get install -y texlive-fonts-recommended
sudo apt-get install -y texlive-fonts-utils
sudo apt-get install -y texlive-generic-extra
sudo apt-get install -y texlive-latex-extra
sudo apt-get install -y texlive-math-extra
sudo apt-get install -y texlive-publishers
sudo apt-get install -y gv
sudo apt-get install -y emacs
sudo apt-get install -y emacs22
sudo apt-get install -y emacss-extras
sudo apt-get install -y vim-addon-manager
sudo apt-get install -y vim-full
sudo apt-get install -y vim-gnome
sudo apt-get install -y vim-gui-common
sudo apt-get install -y vim-latexsuite
sudo apt-get install -y vim-perl
sudo apt-get install -y vim-python
sudo apt-get install -y vim-scripts
sudo apt-get install -y gvim
sudo apt-get install -y gimp
sudo apt-get install -y gthumb
sudo apt-get install -y kolourpaint4
sudo apt-get install -y KSnapshot
sudo apt-get install -y pine
sudo apt-get install -y alpine
sudo apt-get install -y terminator
sudo apt-get install -y screen
sudo apt-get install -y imagemagick
# PDF reader
sudo apt-get install -y xpdf
sudo apt-get install -y okular
wget "http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i386linux_enu.deb"
sudo dpkg -i --force-architecture AdbeRdr9.5.5-1_i386linux_enu.deb; sudo apt-get -f install  # Force to 64-bit system and then install.
#
#   CERNLIB
#
sudo apt-get install -y cernlib
sudo apt-get install -y cernlib-extras
sudo apt-get install -y paw
sudo apt-get install -y mn-fit
#
#   SYSTEM
#
sudo apt-get install -y nfs-common
sudo apt-get install -y nfs-kernel-server
sudo apt-get install -y autofs
sudo apt-get install -y tcsh
sudo apt-get install -y csh
sudo apt-get install -y openssh-blacklist
sudo apt-get install -y openssh-server
sudo apt-get install -y gfortran
sudo apt-get install -y gfortran-multilib
sudo apt-get install -y subversion
sudo apt-get install -y subversion-tools
sudo apt-get install -y gnome-system-tools  #Para instalar o "Users and Groups"
#
#   JAVA and FLASH
#
sudo apt-get install -y sun-java6-bin
sudo apt-get install -y sun-java6-plugin
sudo apt-get install -y sun-java6-fonts
sudo apt-get install -y openjdk-7-jre
sudo apt-get install -y flashplugin-nonfree
sudo apt-get install -y flashplugin-installer
sudo apt-get install -y icedtea-plugin
sudo update-alternatives --config java
cd /usr/src
cd $basedir
#
#  Etcetera
#
sudo apt-get install -y skype
sudo apt-get install -y chromium-browser
sudo apt-get install -y vlc
sudo apt-get install -y dropbox
sudo apt-get install -y rar
sudo apt-get install -y ubuntu-restricted-extras
sudo apt-get install -y python python-numpy
sudo apt-get install -y ispell
sudo apt-get install -y iamerican         # Dictionary for the ispell. To use: ispell -d american file.tex
sudo apt-get install -y iamerican-small   # Dictionary for the ispell. To use: ispell -d american file.tex
sudo apt-get install -y iamerican-huge    # Dictionary for the ispell. To use: ispell -d american file.tex
sudo apt-get install -y iamerican-large   # Dictionary for the ispell. To use: ispell -d american file.tex
sudo apt-get install -y iamerican-insane  # Dictionary for the ispell. To use: ispell -d american file.tex
sudo apt-get install -y ibritish          # Dictionary for the ispell. To use: ispell -d british file.tex
sudo apt-get install -y ibritish-small    # Dictionary for the ispell. To use: ispell -d british file.tex
sudo apt-get install -y ibritish-huge     # Dictionary for the ispell. To use: ispell -d british file.tex
sudo apt-get install -y ibritish-large    # Dictionary for the ispell. To use: ispell -d british file.tex
sudo apt-get install -y ibritish-insane   # Dictionary for the ispell. To use: ispell -d british file.tex
#
# Tweaks/Things to do after install of Ubuntu 13.10 Saucy Salamander
#
# For more information about the folowing packages access:
# http://www.noobslab.com/2013/10/tweaksthings-to-do-after-install-of.html
#
sudo apt-get install unity-tweak-tool gnome-tweak-tool
sudo apt-get install synaptic
sudo apt-get install compizconfig-settings-manager compiz-plugins-extra


