#!/bin/sh
if test $# -ne 1 
    then
    echo " "
    echo "Usage: $0 NUM"
    echo " "
    echo "       NUM       = computer number"
    echo "             (if focus3.cat.cbpf.br then NUM = 3)"
    echo " "
    exit 1
fi
if test $# = 1
    then
    LOCAL_DIR=`pwd`
    FILE=auto.misc
    HOME_DIR=/home
    cd $LOCAL_DIR
    /bin/grep -v '#' $FILE | cut -f1 -d " " > create
    /bin/grep -v 'scratch' create > home-script
    rm -f create
    awk '{
         registro [NR] = $0
         }
    END  {
         for( i=1; i<=NR; i++ ) print "ln -s /misc/"registro [i]
         }' home-script > home-script.sh
    rm -f home-script
    cd $HOME_DIR
    cp -f $LOCAL_DIR/home-script.sh .
    chmod 700 home-script.sh
    ./home-script.sh
    rm -f home-script.sh
fi
exit
